Update a Shipping AddressAsk AIput https://api-test.qualpay.com/platform/vault/customer/{customer_id}/shippingUpdates a specified shipping address for a profile in Customer Vault.Path Paramscustomer_idstringrequiredThe customer ID, returned as the customer_id value in an 'Add a Customer' response.Body ParamsShipping Addressshipping_idint64requiredFormat: Variable length, up to 10 NDescription: The ID of the shipping address you want to set as the primary shipping address, returned as the shipping_id value for an 'Add a Customer' request. The shipping ID should be associated with the provided customer_id.shipping_first_namestringrequiredFormat: Variable length, up to 32 ANDescription: Shipping first name.shipping_last_namestringrequiredFormat: Variable length, up to 32 ANDescription: Shipping last name.shipping_firm_namestringFormat: Variable length, up to 64 ANDescription: Shipping address business name, if applicable.shipping_addr1stringFormat: Variable length, up to 128 ANDescription: Shipping address line 1.shipping_addr2stringFormat: Variable length, up to 128 ANDescription: Shipping address line 2.shipping_citystringFormat: Variable length, up to 64 ANDescription: Shipping city.shipping_statestringFormat: Variable length, up to 3 ANDescription: Shipping state.shipping_countrystringFormat: Variable length, up to 128 ANDescription: Shipping country.shipping_country_codestringFormat: Fixed length, 3 ANDescription: ISO numeric country code for the shipping address. Refer to Country Codes for a list of country codes.shipping_zipstringFormat: Variable length, up to 10 ANDescription: Shipping zip code.shipping_zip4stringFormat: Fixed length, 4 NDescription: Shipping zip+4 code, if applicable.primarybooleanDescription: Set this field to true if this should be the default address. Default: falsetruetruefalsemerchant_idint64Format: Variable length, up to 16 ANDescription: Identifies the merchant to whom this request applies. Optional field, applicable only if the request is sent on behalf of another merchant.Conditional Requirement: Required if this request is on behalf of another merchant.Responses 200Success 400Request Validation Failed 500Internal ErrorUpdated 6 months ago